import { IsString, IsNotEmpty, ValidateIf } from 'class-validator'

export class GetStaffProfileDto {
  @IsString()
  @IsNotEmpty({ message: 'staff_id不能为空' })
  staff_id: string
}

export class ListUsersDto {
  @ValidateIf((o) => !o.user_union_id)
  @IsString()
  user_name: string

  @ValidateIf((o) => !o.user_name)
  @IsString()
  user_union_id: string
}

export class GetDialogueHistoryDto {
  @IsString()
  @IsNotEmpty({ message: 'staff_id不能为空' })
  staff_id: string

  @IsString()
  @IsNotEmpty({ message: 'user_id不能为空' })
  user_id: string

  recent_minutes: string
}

export class RunPromptDto {
  @IsString()
  @IsNotEmpty({ message: 'scene不能为空' })
  scene: string

  @IsString()
  @IsNotEmpty({ message: 'prompt不能为空' })
  prompt: string

  @IsString()
  @IsNotEmpty({ message: 'staff_profile不能为空' })
  staff_profile: string

  @IsString()
  @IsNotEmpty({ message: 'user_profile不能为空' })
  user_profile: string

  @IsString()
  @IsNotEmpty({ message: 'dialogue_history不能为空' })
  dialogue_history: string

  @IsString()
  @IsNotEmpty({ message: 'model_name不能为空' })
  model_name: string

  @IsString()
  @IsNotEmpty({ message: 'current_timestamp不能为空' })
  current_timestamp: string
}
